package com.emr.service.emrCode;

import com.emr.entity.emrCode.T_Operate;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OperateService {
    List<T_Operate> selectAllByPatientId(String patientId,Short currentOperateNo);

    int insert(T_Operate record);

    void updateByPrimaryKeySelective(T_Operate record);

    void deleteOperCodeByPatientIdAndOperNo(String patientId,Short operateNo);

    void addOperCode(String patientId,String operNos,String operDates,String operCodes,String operNames,String operateClasses,String operators,String assistant1s,String assistant2s,String cuts,String chossurgs,String anaesthesiaTypes,String anaesthesiaNames) throws Exception;
}
